# Enum ExitCode

java.lang.Object
java.lang.Enum<ExitCode>
org.apache.zookeeper.server.ExitCode

All Implemented Interfaces:
  `Serializable, Comparable<ExitCode>`

public enum ExitCode extends Enum<ExitCode>
Exit code used to exit server

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ERROR_STARTING_ADMIN_SERVER`
Unable to start admin server at ZooKeeper startup
`EXECUTION_FINISHED`
Execution finished normally
`INVALID_INVOCATION`
Invalid arguments during invocations
`QUORUM_PACKET_ERROR`
Unexpected packet from leader, or unable to truncate log on Leader.TRUNC
`TXNLOG_ERROR_TAKING_SNAPSHOT`
Severe error during snapshot IO
`UNABLE_TO_ACCESS_DATADIR`
Cannot access datadir when trying to replicate server
`UNABLE_TO_BIND_QUORUM_PORT`
Unable to bind to the quorum (election) port after multiple retry
`UNEXPECTED_ERROR`
Unexpected errors like IO Exceptions
`UNMATCHED_TXN_COMMIT`
zxid from COMMIT does not match the one from pendingTxns queue

## Method Summary

Modifier and Type
Method
Description
`int`
`getValue()`
`static ExitCode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ExitCode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### EXECUTION_FINISHED

public static final ExitCode EXECUTION_FINISHED
Execution finished normally

### UNEXPECTED_ERROR

public static final ExitCode UNEXPECTED_ERROR
Unexpected errors like IO Exceptions

### INVALID_INVOCATION

public static final ExitCode INVALID_INVOCATION
Invalid arguments during invocations

### UNABLE_TO_ACCESS_DATADIR

public static final ExitCode UNABLE_TO_ACCESS_DATADIR
Cannot access datadir when trying to replicate server

### ERROR_STARTING_ADMIN_SERVER

public static final ExitCode ERROR_STARTING_ADMIN_SERVER
Unable to start admin server at ZooKeeper startup

### TXNLOG_ERROR_TAKING_SNAPSHOT

public static final ExitCode TXNLOG_ERROR_TAKING_SNAPSHOT
Severe error during snapshot IO

### UNMATCHED_TXN_COMMIT

public static final ExitCode UNMATCHED_TXN_COMMIT
zxid from COMMIT does not match the one from pendingTxns queue

### QUORUM_PACKET_ERROR

public static final ExitCode QUORUM_PACKET_ERROR
Unexpected packet from leader, or unable to truncate log on Leader.TRUNC

### UNABLE_TO_BIND_QUORUM_PORT

public static final ExitCode UNABLE_TO_BIND_QUORUM_PORT
Unable to bind to the quorum (election) port after multiple retry

## Method Details

### values

public static ExitCode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ExitCode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

public int getValue()